No fuiste a Sudafrica? no te pierdas la oportunidad de darle duro a la vuvuzela!!!

     

Test de velocidad

Con esta herramienta puede medir inmediatamente y de forma gratuita la velocidad de su línea ADSL y de conexión a Internet.


(c) my-speedtest.com/es/ - test de velocidad

Se ha producido un error en este gadget.

Desde aqui nos visitaron,gracias!(diciembre 2008)

internautas tv

martes, octubre 14, 2008

Múltiples y serios problemas de seguridad en Linux

Deja un comentario!!!

Esto ha obligado a los principales vendedores de este código abierto, a realizar severas actualizaciones, casi todas en un solo un día, según publica Vsantivirus.



Dos de estos agujeros, han sido catalogados de sumamente críticos por la compañía de seguridad Secunia. Afectan la librería gráfica LIBPNG, muy popular en muchas distribuciones Linux y en aplicaciones como el navegador Mozilla, utilizada para la visualización de imágenes en formato PNG (Portable Network Graphics).

Estas vulnerabilidades pueden provocar desbordamientos de búfer cuando se intenta ver una imagen PNG modificada maliciosamente, lo que permitiría la ejecución de código en forma remota. Aunque una nueva versión de esta librería ya está disponible, existen múltiples aplicaciones que están enlazadas con la misma, por lo que se sugiere a los usuarios de Linux que consulten los procedimientos adecuados para dicha actualización en las páginas de los diferentes proveedores.

El problema se produce por un error en las funciones PNG HANDLE y PNG READ de Mozilla. En agosto, habían sido detectados otros fallos en esta misma librería, incluyendo una vulnerabilidad en la capacidad POP3 con el riesgo de descarga no autorizada de datos.

Otros errores fueron descubiertos en el componente XPDF, que es utilizado para visualizar los archivos PDF de Adobe en Linux. Una serie de desbordamientos de entero, pueden comprometer seriamente al sistema del usuario. Usuarios maliciosos también pueden utilizar estas vulnerabilidades para ejecutar código arbitrario en forma remota, usando archivos PDF especialmente modificados.

Además, otros errores en este componente pueden ser explotados para que el equipo consuma todos los recursos del sistema y deje de responder.

Cómo si esto fuera poco, los parches publicados para estos problemas, agregan un tercer agujero en el sistema de impresión CUPS para Linux, que puede permitir el acceso al sistema por parte de usuarios no autorizados.

Algunos vendedores ya han tomado las medidas para proteger a sus usuarios de estas vulnerabilidades. Por ejemplo Debian, ha publicado dos parches para Linux 3.0 que protegen de los fallos en la librería LIBPNG. Mandrake, Fedora y Gentoo, mientras tanto, han realizado parches para las vulnerabilidades en XPDF, y Mandrake y Gentoo tienen parches para otros agujeros.

También se dio a conocer un conjunto de debilidades en el Kernel de Linux que fueron corregidos en la versión 2.6.9. Estos problemas se encuentran en el subsistema terminal. Hay parches disponibles para las versiones 2.4x, pero no para las versiones anteriores.

Uno de los problemas está relacionado con un programa local que realiza operaciones específicas en determinados momentos, pudiendo colapsar al sistema, y en un comportamiento anormal que puede liberar datos aleatorios del kernel.

Otro tipo de ataque involucra a los usuarios con módem que se conectan a través de puertos PPP (point-to-point protocol) y que puede hacer que sus equipos dejen de responder. Este tipo de acción, sin embargo, solo puede ser realizada en forma local, sobre líneas seriales directas, y no a través de los módems en forma remota.

Por otra parte, un desbordamiento de entero fue reportado en el programa IPTABLES incluido en el Kernel 2.6x. IPtables está relacionado con la seguridad en la red, ya que junto a Netfilter, proporciona filtrado de paquetes, traducción de direcciones de red, etc.

No hay comentarios: